ResourcesDesc (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.ResourcesDesc class
Date: 2021-11-09

net.sourceforge.jnlp

## Class ResourcesDesc

- java.lang.Object
- - net.sourceforge.jnlp.ResourcesDesc

-     public class ResourcesDesc
      extends java.lang.Object

  The resources element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourcesDesc(JNLPFile jnlpFile, java.util.Locale[] locales, java.lang.String[] os, java.lang.String[] arch)` Create a representation of one information section of the JNLP File.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResource(java.lang.Object resource)` Add a resource.
    `java.lang.String[]` | `getArch()`
    `ExtensionDesc[]` | `getExtensions()`
    `JARDesc[]` | `getJARs()`
    `JARDesc[]` | `getJARs(java.lang.String partName)`
    `JNLPFile` | `getJNLPFile()`
    `JREDesc[]` | `getJREs()`
    `java.util.Locale[]` | `getLocales()`
    `JARDesc` | `getMainJAR()`
    `static JARDesc` | `getMainJAR(JARDesc[] jars)`
    `static JARDesc` | `getMainJAR(java.util.List<JARDesc> jars)`
    `java.lang.String[]` | `getOS()`
    `PackageDesc[]` | `getPackages()`
    `PackageDesc[]` | `getPackages(java.lang.String className)` Returns the Packages that match the specified class name.
    `PropertyDesc[]` | `getProperties()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getPropertiesMap()`
    `<T> java.util.List<T>` | `getResources(java.lang.Class<T> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourcesDesc

          public ResourcesDesc(JNLPFile jnlpFile,
                               java.util.Locale[] locales,
                               java.lang.String[] os,
                               java.lang.String[] arch)

      Create a representation of one information section of the JNLP File.
      Parameters:
        `jnlpFile` - JNLP file the resources are for
        `locales` - the locales of these resources
        `os` - the os of these resources
        `arch` - the arch of these resources

  - ### Method Detail

    - #### getJREs

          public JREDesc[] getJREs()

      Returns:
        the JVMs.

    - #### getMainJAR

          public static JARDesc getMainJAR(JARDesc[] jars)

    - #### getMainJAR

          public static JARDesc getMainJAR(java.util.List<JARDesc> jars)

    - #### getMainJAR

          public JARDesc getMainJAR()

      Returns:
        the main JAR for these resources. There first JAR is returned if no JARs are specified as the main JAR, and if there are no JARs defined then null is returned.

    - #### getJARs

          public JARDesc[] getJARs()

      Returns:
        all of the JARs.

    - #### getJARs

          public JARDesc[] getJARs(java.lang.String partName)

      Parameters:
        `partName` - the part name, null and "" equivalent
      Returns:
        the JARs with the specified part name.

    - #### getExtensions

          public ExtensionDesc[] getExtensions()

      Returns:
        the Extensions.

    - #### getPackages

          public PackageDesc[] getPackages()

      Returns:
        the Packages.

    - #### getPackages

          public PackageDesc[] getPackages(java.lang.String className)

      Returns the Packages that match the specified class name.
      Parameters:
        `className` - the fully qualified class name
      Returns:
        the PackageDesc objects matching the class name

    - #### getProperties

          public PropertyDesc[] getProperties()

      Returns:
        the Properties as a list.

    - #### getPropertiesMap

          public java.util.Map<java.lang.String,java.lang.String> getPropertiesMap()

      Returns:
        the properties as a map.

    - #### getOS

          public java.lang.String[] getOS()

      Returns:
        the os required by these resources, or null if no locale was specified in the JNLP file.

    - #### getArch

          public java.lang.String[] getArch()

      Returns:
        the architecture required by these resources, or null if no locale was specified in the JNLP file.

    - #### getLocales

          public java.util.Locale[] getLocales()

      Returns:
        the locale required by these resources, or null if no locale was specified in the JNLP file.

    - #### getJNLPFile

          public JNLPFile getJNLPFile()

      Returns:
        the JNLPFile the resources are for.

    - #### getResources

          public <T> java.util.List<T> getResources(java.lang.Class<T> type)

      Type Parameters:
        `T` - type of resource to be found
      Parameters:
        `type` - resource to be found
      Returns:
        all resources of the specified type.

    - #### addResource

          public void addResource(java.lang.Object resource)

      Add a resource.
      Parameters:
        `resource` - to be added

Submit a bug or feature